# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/SSLeay.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/SSL.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Term/ReadKey.pm) perl(Test.pm) perl(WWW/Mechanize.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Finance-Bank-Fubon-TW
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Check Fubon eBank accounts from Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AUTRIJUS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a rudimentary interface to the Fubon eBank
banking system at http://www.fubonbank.com.tw/ebank.htm.

You will need either Crypt::SSLeay or IO::Socket::SSL installed
for HTTPS support to work with LWP.


%prep
%setup -n %module_name-%module_version
rm -f t/0-signature.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/F*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

